org.eclipse.rdf4j.query.parser.sparql

## Class GraphPattern

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.GraphPattern

- Deprecated.
  since 3.0. This feature is for internal use only: its existence, signature or behavior may change without warning from one release to the next.

      @Deprecated
       @InternalUseOnly
      public class GraphPattern
      extends Object

  A graph pattern consisting of (required and optional) tuple expressions, binding assignments and boolean constraints.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphPattern()` Deprecated. Creates a new graph pattern.
    `GraphPattern(GraphPattern parent)` Deprecated. Creates a new graph pattern that inherits the context and scope from a parent graph pattern.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConstraint(ValueExpr constraint)` Deprecated.
    `void` | `addConstraints(Collection<ValueExpr> constraints)` Deprecated.
    `void` | `addOptionalTE(TupleExpr te, List<ValueExpr> constraints)` Deprecated. add the supplied tuple expression as an optional expression, with a list of constraints that hold as conditions.
    `void` | `addRequiredSP(Var subjVar, Var predVar, Var objVar)` Deprecated.
    `void` | `addRequiredTE(TupleExpr te)` Deprecated.
    `TupleExpr` | `buildTupleExpr()` Deprecated. Builds a combined tuple expression from the tuple expressions and constraints in this graph pattern.
    `void` | `clear()` Deprecated. Removes all tuple expressions and constraints.
    `List<ValueExpr>` | `getConstraints()` Deprecated.
    `Var` | `getContextVar()` Deprecated.
    `List<Map.Entry<TupleExpr,List<ValueExpr>>>` | `getOptionalTEs()` Deprecated. Retrieves the optional tuple expressions as a list of tuples with the tuple expression as the key and the list of value expressions as the value.
    `List<TupleExpr>` | `getRequiredTEs()` Deprecated.
    `StatementPattern.Scope` | `getStatementPatternScope()` Deprecated.
    `List<ValueExpr>` | `removeAllConstraints()` Deprecated.
    `void` | `setContextVar(Var contextVar)` Deprecated.
    `void` | `setStatementPatternScope(StatementPattern.Scope spScope)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphPattern

          public GraphPattern()

      Deprecated.
      Creates a new graph pattern.

    - #### GraphPattern

          public GraphPattern(GraphPattern parent)

      Deprecated.
      Creates a new graph pattern that inherits the context and scope from a parent graph pattern.

  - ### Method Detail

    - #### setContextVar

          public void setContextVar(Var contextVar)

      Deprecated.

    - #### getContextVar

          public Var getContextVar()

      Deprecated.

    - #### setStatementPatternScope

          public void setStatementPatternScope(StatementPattern.Scope spScope)

      Deprecated.

    - #### getStatementPatternScope

          public StatementPattern.Scope getStatementPatternScope()

      Deprecated.

    - #### addRequiredTE

          public void addRequiredTE(TupleExpr te)

      Deprecated.

    - #### addRequiredSP

          public void addRequiredSP(Var subjVar,
                                    Var predVar,
                                    Var objVar)

      Deprecated.

    - #### getRequiredTEs

          public List<TupleExpr> getRequiredTEs()

      Deprecated.

    - #### addOptionalTE

          public void addOptionalTE(TupleExpr te,
                                    List<ValueExpr> constraints)

      Deprecated.
      add the supplied tuple expression as an optional expression, with a list of constraints that hold as conditions.
      Parameters:
        `te` - a tuple expression
        `constraints` - a list of constraints that form a condition for the LeftJoin to be formed from the optional TE.

    - #### getOptionalTEs

          public List<Map.Entry<TupleExpr,List<ValueExpr>>> getOptionalTEs()

      Deprecated.
      Retrieves the optional tuple expressions as a list of tuples with the tuple expression as the key and the list of value expressions as the value.
      Returns:
        a list of Map entries.

    - #### addConstraint

          public void addConstraint(ValueExpr constraint)

      Deprecated.

    - #### addConstraints

          public void addConstraints(Collection<ValueExpr> constraints)

      Deprecated.

    - #### getConstraints

          public List<ValueExpr> getConstraints()

      Deprecated.

    - #### removeAllConstraints

          public List<ValueExpr> removeAllConstraints()

      Deprecated.

    - #### clear

          public void clear()

      Deprecated.
      Removes all tuple expressions and constraints.

    - #### buildTupleExpr

          public TupleExpr buildTupleExpr()

      Deprecated.
      Builds a combined tuple expression from the tuple expressions and constraints in this graph pattern.
      Returns:
        A tuple expression for this graph pattern.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.